﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace YT_CS_WPF_UserControl_DepProp_Teil2
{
    /// <summary>
    /// Interaktionslogik für ControlArtikel.xaml
    /// </summary>
    public delegate void EventHandlerOnAdd(Artikel item);

    public partial class ControlArtikel : UserControl
    {
        public event EventHandlerOnAdd OnAdd;

        public static readonly DependencyProperty ObjProperty = DependencyProperty.Register("Obj", typeof(Artikel), typeof(ControlArtikel));
        public Artikel Obj
        {
            get
            {
                return (Artikel)GetValue(ObjProperty);
            }
            set
            {
                SetValue(ObjProperty, value);
            }
        }

        public ControlArtikel()
        {
            InitializeComponent();
        }

        private void Button_Click(object sender, RoutedEventArgs e)
        {
            //???
            OnAdd?.Invoke(Obj);
        }
    }
}
