﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace YT_CS_WPF_UserControl_DepProp_Teil1
{
    /// <summary>
    /// Interaktionslogik für MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        ObservableCollection<Artikel> liste = new ObservableCollection<Artikel>
        {
            new Artikel{Bezeichnung="Hose", Preis = 23.45},
            new Artikel{Bezeichnung="Federboa", Preis = 19.99}
        };
        Artikel wahl;
        public MainWindow()
        {
            InitializeComponent();
            Anzeige.DataContext = liste;
        }

        private void txtBez_KeyUp(object sender, KeyEventArgs e)
        {
            wahl.Bezeichnung = txtBez.Text;
        }

        private void Button_Click(object sender, RoutedEventArgs e)
        {
            liste.Add(new Artikel { Bezeichnung = "Socken", Preis = 5.99 });
        }

        private void Anzeige_SelectionChanged(object sender, SelectionChangedEventArgs e)
        {
            wahl = Anzeige.SelectedItem as Artikel;

            if (wahl is null) return;

            txtBez.Text = wahl.Bezeichnung;
        }
    }
}
